#include<stdio.h>
main()
{
	int a,b,x,y;
	
	scanf("%d %d",&a,&b);
	scanf("%d %d",&x,&y);
	
	if(a==x && y<b)
	{
		printf("drugi");
	}
	if(x<a && b==y)
	{
		printf("prvi");
	}
	if(a==x && b==y)
	{
		printf("nijedan");
	}
	if(x<a && y<b)
	{
		printf("?");
	}
}